{iceshrimp}: {
  systemd.services.iceshrimp = {
    enable = true;
    description = "Iceshrimp.NET daemon";

    requires = ["postgresql.service"];
    after = ["postgersql.service"];
    wantedBy = ["multi-user.target"];

    serviceConfig = {
      Type = "simple";
      Restart = "on-failure";

      ExecStart = "${iceshrimp}/bin/iceshrimp --migrate-and-start";

      User = "iceshrimp";
      Group = "iceshrimp";
    };
  };
}
